Name:           gstreamer1.0-vaapi
Version:        1.14.4
Release:        %mkrel 1
Summary:        A collection of VA-API based plugins for GStreamer and helper libraries
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
URL:            https://github.com/01org/gstreamer-vaapi
Source0:	http://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-%{version}.tar.xz
BuildRequires:  yasm
BuildRequires:  mesa-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}gstreamer1.0-devel
BuildRequires:  %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires:  %{_lib}va-devel
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}gstreamer-plugins-bad1.0-devel
BuildRequires:  %{_lib}xrandr2-devel

%description
Gstreamer-vaapi is a collection of VA-API based plugins for GStreamer
and helper libraries. vaapidecode is used to decode MPEG-2, MPEG-4,
H.264, VC-1, WMV3 videos to video/x-vaapi-surface surfaces, depending
on the underlying HW capabilities. vaapiconvert is used to convert from
video/x-raw-yuv pixels to video/x-vaapi-surface surfaces. vaapisink is
used to display video/x-vaapi-surface surfaces to the screen.

%prep
%setup -qn gstreamer-vaapi-%{version}


%build
%configure2_5x \
	--with-package-name='pclinuxos %{name} package' \
	--with-package-origin='http://www.pclinuxos.com' \
	--disable-gtk-doc \
	--disable-gtk-doc-html
make V=1

%install
%make_install

# drop plugin docs
rm -rf %{buildroot}/%{_datadir}/gtk-doc/

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc NEWS README
%{_libdir}/gstreamer-1.0/libgstvaapi.so


%changelog
* Fri Dec 07 2018 adrianomorselli <adrianomorselli> 1.14.4-1uplos2018
- update
